Package it.ernytech.tdlib

## Class TdApi.DownloadFile

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.DownloadFile

Enclosing class:
  TdApi

    public static class TdApi.DownloadFile
    extends TdApi.Function

Asynchronously downloads a file from the cloud. updateFile will be used to notify about the download progress and successful completion of the download. Returns file state just after the download has been started.

Returns `File`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `fileId` Identifier of the file to download.
`int` `priority` Priority of the download (1-32).

### Constructor Summary

Constructors
`DownloadFile()` Default constructor.
`DownloadFile​(int fileId, int priority)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### fileId

    public int fileId

Identifier of the file to download.

#### priority

    public int priority

Priority of the download (1-32). The higher the priority, the earlier the file will be downloaded. If the priorities of two files are equal, then the last one for which downloadFile was called will be downloaded first.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### DownloadFile

    public DownloadFile()

Default constructor.

#### DownloadFile

    public DownloadFile​(int fileId,
                        int priority)

Constructor for initialization of all fields.

Parameters:
  `fileId` - Identifier of the file to download.
  `priority` - Priority of the download (1-32). The higher the priority, the earlier the file will be downloaded. If the priorities of two files are equal, then the last one for which downloadFile was called will be downloaded first.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR